appcenter_flutter 1.0.1 icon indicating copy to clipboard operation
appcenter_flutter: ^1.0.1 copied to clipboard

This plugin currently bundles AppCenter Analytics and Crashes. To learn more about AppCenter, go to https://aka.ms/appcenterdocs

AppCenter Plugin for flutter #

======

This plugin currently bundles appcenter analytics and crashes.

Getting Started #

To get started, go to AppCenter and register your apps.

For detailed AppCenter API reference, go to https://aka.ms/appcenterdocs

Build #

flutter build apk command will build under build/app/outputs/flutter-apk by adding below section to android/app/build.gradle

android {
  ...
  // This is likely needed, see https://github.com/flutter/flutter/issues/58247
  lintOptions {
      disable 'InvalidPackage'
      checkReleaseBuilds false
  }
}

Try example project first when troubleshooting your local build issue.

Usage #

Basic usage #

import 'package:appcenter_flutter/appcenter.dart';

await AppCenter.startAsync(
    appSecretAndroid: '******',
    appSecretIOS: '******',
    enableAnalytics: true, // Defaults to true
    enableCrashes: true, // Defaults to true
  );
  
AppCenter.trackEventAsync('my event', <String, String> {
  'prop1': 'prop1',
  'prop2': 'prop2',
});

Turn feature on / off at runtime #

await AppCenter.configureAnalyticsAsync(enabled: true);

await AppCenter.configureCrashesAsync(enabled: true);

Troubleshooting #

  • iOS: [!] CocoaPods could not find compatible versions for pod "AppCenter"

    Manually delete podfile.lock and rebuild, this is a common issue when upgrading iOS native dependencies.

  • Android build issue

    Always check if example project builds first If it does not build, please report an issue If it builds, check the gradle setup Checkpoints:

    • Gradle version in gradle-wrapper.properties

    • Kotlin version in build.gradle

    • compileSdkVersion in build.gradle

    • com.android.tools.build:gradle version in build.gradle

    • lintOptions (in example) See issue

      Execution failed for task ':app:lintVitalRelease'

    • build.gradle script (in example)

    • settings.gradle (in example)

  • jcenter retirement

    Replace jcenter since it will be retired on 1st of May, 2021.

    repositories {
         google()
         // jcenter()
         mavenCentral()
         gradlePluginPortal()
     }
    
1
likes
130
pub points
32%
popularity

Publisher

unverified uploader

This plugin currently bundles AppCenter Analytics and Crashes. To learn more about AppCenter, go to https://aka.ms/appcenterdocs

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on appcenter_flutter